
data hdc;
	merge inc (in=a) ed_acadyr (keep = id yr hdc_startacyr);
	by id yr;
	if a;
run;
data hdc;
	merge hdc interview (where=(date ne .));
	by id date;
run;
data hdc;
	merge hdc individual (keep = id hdc_ever);
	by id;
	if hdc_ever<0 then hdc_ever = .;
run;

data hdc;
	set hdc;
	by id cm date;
	retain prevhdc;
	if first.id then prevhdc = 0;
		if cv_hdc>=0 then prevhdc = cv_hdc;
		if hdc_startacyr>=0 then prevhdc = hdc_startacyr;
	retain CMprevhdc;
	if first.id then CMprevhdc = .;
		if (hdc_startacyr>=0 or cv_hdc>=0) then CMprevhdc = CM;
run;
proc sort data = hdc; by id descending date; run;
data hdc;
	set hdc;
	by id descending date;
	retain nexthdc;
	if first.id then nexthdc = hdc_ever;
		if cv_hdc>=0 then nexthdc = cv_hdc;
		if hdc_startacyr>=0 then nexthdc = hdc_startacyr;
	retain CMnexthdc;
	if first.id then CMnexthdc = .;
		if (hdc_startacyr>=0 or cv_hdc>=0) then CMnexthdc = cm;
run;
proc sort data = hdc; by id date; run;

data hdc;
	set hdc (where=(mon=9));
	if nexthdc=0 or hdc_ever = 0 then hdc = 0;
		else if hdc_startacyr>=0 then hdc = hdc_startacyr;
		else if prevhdc>=0 and prevhdc=nexthdc then hdc = prevhdc;
		else if (CMnexthdc-CM)<=7 and nexthdc>=0 then hdc = nexthdc;
run;
proc freq data = hdc; tables hdc / missing; run;

data hdc;
	merge hdc individual (keep = id hsleftcm gedcm hsdipcm aacm bacm macm phdcm profcm);
	by id;
	
	if hdc = . then do;
	
		if prevhdc = 0 and nexthdc = 1 and CMprevhdc<=gedcm<=CMnexthdc then do;
			if cm<=gedcm then hdc = 0;
				else hdc = 1;
		end;
		else if prevhdc = 0 and nexthdc = 2 and CMprevhdc<=hsdipcm<=CMnexthdc then do;
			if cm<=hsdipcm then hdc = 0;
				else hdc = 2;
		end;
		else if prevhdc = 0 and nexthdc = 3 and CMprevhdc<=hsdipcm<aacm and hsdipcm<aacm<=CMnexthdc then do;
			if cm<=hsdipcm then hdc = 0;
				else if cm<=aacm then hdc = 2;
				else hdc = 3;
		end;
		else if prevhdc = 0 and nexthdc = 4 and CMprevhdc<=hsdipcm<bacm and hsdipcm<bacm<=CMnexthdc then do;
			if cm<=hsdipcm then hdc = 0;
				else if cm<=bacm then hdc = 2;
				else hdc = 4;
		end;
		else if prevhdc = 0 and nexthdc = 5 and CMprevhdc<=hsdipcm<bacm and hsdipcm<bacm<macm and bacm<macm<=CMnexthdc then do;
			if cm<=hsdipcm then hdc = 0;
				else if cm<=bacm then hdc = 2;
				else if cm<=macm then hdc = 4;
				else hdc = 5;
		end;
		
		else if prevhdc = 1 and nexthdc = 3 and CMprevhdc<=aacm<=CMnexthdc then do;
			if cm<=aacm then hdc = 1;
				else hdc = 3;
		end;
		else if prevhdc = 1 and nexthdc = 4 and CMprevhdc<=bacm<=CMnexthdc then do;
			if cm<=bacm then hdc = 1;
				else hdc = 4;
		end;

		else if prevhdc = 2 and nexthdc = 3 and CMprevhdc<=aacm<=CMnexthdc then do;
			if cm<=aacm then hdc = 2;
				else hdc = 3;
		end;
		else if prevhdc = 2 and nexthdc = 4 and CMprevhdc<=bacm<=CMnexthdc then do;
			if cm<=bacm then hdc = 2;
				else hdc = 4;
		end;
		else if prevhdc = 2 and nexthdc = 5 and CMprevhdc<=bacm<macm and bacm<macm<=CMnexthdc then do;
			if cm<=bacm then hdc = 2;
				else if cm<=macm then hdc = 4;
				else hdc = 5;
		end;
		else if prevhdc = 2 and nexthdc = 7 and CMprevhdc<=bacm<profcm and bacm<profcm<=CMnexthdc then do;
			if cm<=bacm then hdc = 2;
				else if cm<=profcm then hdc = 4;
				else hdc = 7;
		end;

		else if prevhdc = 3 and nexthdc = 4 and CMprevhdc<=bacm<=CMnexthdc then do;
			if cm<=bacm then hdc = 3;
				else hdc = 4;
		end;

		else if prevhdc = 4 and nexthdc = 5 and CMprevhdc<=macm<=CMnexthdc then do;
			if cm<=macm then hdc = 4;
				else hdc = 5;
		end;
		else if prevhdc = 4 and nexthdc = 6 and CMprevhdc<=phdcm<=CMnexthdc then do;
			if cm<=phdcm then hdc = 4;
				else hdc = 6;
		end;
		else if prevhdc = 4 and nexthdc = 7 and CMprevhdc<=profcm<=CMnexthdc then do;
			if cm<=profcm then hdc = 4;
				else hdc = 7;
		end;

		else if prevhdc = 5 and nexthdc = 6 and CMprevhdc<=phdcm<=CMnexthdc then do;
			if cm<=phdcm then hdc = 5;
				else hdc = 6;
		end;
			

	end;
run;	
		
proc freq data = hdc; tables hdc / missing; run;
proc freq data = hdc; where hdc = .; tables prevhdc*nexthdc / missing; run;
proc freq data = hdc noprint;
	where hdc = .;
	tables id / out=misshdc;
run;

data hdc;
	set hdc;
	keep id cm hdc;
run;




	






